# Uses of Interface
java.nio.file.WatchEvent.Modifier

Packages that use WatchEvent.Modifier
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.

- ## Uses of WatchEvent.Modifier in java.nio.file

  Methods in java.nio.file with parameters of type WatchEvent.Modifier
  Modifier and Type
  Method
  Description
  `WatchKey`
  Path.`register(WatchService watcher, WatchEvent.Kind<?>[] events, WatchEvent.Modifier... modifiers)`
  Registers the file located by this path with a watch service.
  `WatchKey`
  Watchable.`register(WatchService watcher, WatchEvent.Kind<?>[] events, WatchEvent.Modifier... modifiers)`
  Registers an object with a watch service.